/*
 * options.h
 *
 * Define which "optional" features should be enabled.
 *
 */

#define SNEAK_ATTACK	/* Allows sneak attacks */
#define BLITZ   	/* Sets a couple of things.
			   1.  BTU's always max when you login. 
			   2.  Changing name doesn't take any btus or $$
			   enables BLITZ updates, also turns on NOFOOD, below */

#define	START_UNITS	2 /* How many free start units you get. Types are
			     specified in lib/global/constants.c */

/* Chainsaw Mods */
/* #define NONUKES		/* Eliminates nukes */
#define FUEL		/* Ships use fuel to move */
#define TRADESHIPS 	/* Use Tradeships */
#define NEWPOWER	/* Better power formula */
#define NOMOBCOST	/* No mob cost for firing from ships */
#define SUPER_BARS      /* Bars can't be destroyed by fire */
#define EASY_BRIDGES    /* Bridges can be built anywhere */
#define ALL_BLEED       /* Tech bleeds to everyone */
#define DRNUKE          /* Need research to make nukes */
#define SLOW_WAR        /* Declaring war takes time */
#define NO_PLAGUE	/* Plague is disabled */
#define NEW_STARVE	/* UW's starve, then civs, then mil */
#define NEW_WORK	/* Work is changed in proportion to the # of civs mvd */
#define RES_POP		/* population is limited by research */
#define GRAB_THINGS	/* units will grab things they need to build */


#define	SHOWPLANE	/**/
#define	ORBIT		/* Satalites will orbit each update */
#define	PINPOINTMISSILE	/**/
#define	FALLOUT		/* Enables secondary effects caused by radiation */
#define	SAIL		/* A update routine to move ships */
#define	NUKEFAILDETONATE /**/
#define	MISSINGMISSILES	/* Missiles have a change to miss the target */
#define	SHIPNAMES	/* Name your ships, removing this option saves space */
/* #define	NEUTRON	/* Enables Neurton Warheads */
/*#define	BETTERABM	/* ABM's will be launched to intercept ANY */
				/* non-allied nuke in range */
#define	UPDATESCHED	/* Used to controle update times and should always */
#ifdef UPDATESCHED      /* be used */
#define	DEMANDUPDATE /* NOTE! Depends on UPDATESCHED! Don't use without it! */
#endif /* UPDATESCHED */

#ifdef BLITZ
#define NOFOOD			/* automatically have no food for blitzes */
#endif /* BLITZ */
/*#define	NOFOOD /**/

#ifndef SLOW_WAR
#undef SNEAK_ATTACK	/* SNEAK_ATTACK is only useful with SLOW_WAR */
#endif /* SLOW_WAR */

/* new stuff.  the following is still not fully tested. */
/* #define HIDDEN /**/
/* #define NEWPAF /**/

